commit:     33fc41835807c22f237e21bcac65ff7668fa535c
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  2 20:32:18 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Feb  2 20:32:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33fc4183

x11-misc/xwit: Version 3.4_p16

Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/xwit/Manifest            |  1 +
 x11-misc/xwit/xwit-3.4_p16.ebuild | 40 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/x11-misc/xwit/Manifest b/x11-misc/xwit/Manifest
index 962a2387ad6..8cce36e4f13 100644
--- a/x11-misc/xwit/Manifest
+++ b/x11-misc/xwit/Manifest
@@ -1,2 +1,3 @@
 DIST xwit_3.4-15.debian.tar.gz 20722 BLAKE2B 
fcec4b3cdfa0f4d0b90e172f4539bfb622e77c902e351d9423555bbb43706c79e3d2cb15bb83021151a4876cc2c3bdacb62f074d6af50e2896a55b20b31df5e1
 SHA512 
047e00e5ff0282729495f39c7cb264837306da46d24e4d95e835d6d0060acd0bfa8f8cedff37ab8c503f267d8c5d42e5af0120cba6260e6eb9dd8c9a3a9dab46
+DIST xwit_3.4-16.debian.tar.xz 17840 BLAKE2B 
05e772134c4c2c97c81b2367cdcbd73b21c5a4498a482b52dbbbc081426a623f242c3c77c73af3d6e6dbf46c1f1a7240b3677700006a691717402c309ccea644
 SHA512 
09086d375bb4c7b87c468a3ddad0ae62ad58e168c7875ea9e29bc37e599b193c7e8ff167ac471bb49f836b216876279430d03f462b62286130ed5c3ad0859263
 DIST xwit_3.4.orig.tar.gz 14557 BLAKE2B 
d023b89d02c8520421b35a69c3834d0493a1ab771b160c6c0592e9e43684062a7da9ed56491e90ba2948ba51b2d36f7b0c26ededdfa61a684b2a010d71865a56
 SHA512 
265114f81ede19e477685373e39deed3cf7cd3fd9dbb445362f34ea96dac6d9686d1c55cf882636f7d02598c83f5ee1ca2688fcbd01f6fc7ef34cac75691df94

diff --git a/x11-misc/xwit/xwit-3.4_p16.ebuild 
b/x11-misc/xwit/xwit-3.4_p16.ebuild
new file mode 100644
index 00000000000..cc910e72687
--- /dev/null
+++ b/x11-misc/xwit/xwit-3.4_p16.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="A collection of simple routines to call some of those X11 
functions"
+HOMEPAGE="https://tracker.debian.org/pkg/xwit";
+SRC_URI="
+       mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV/_p*/}.orig.tar.gz
+       mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV/_p/-}.debian.tar.xz
+"
+
+LICENSE="public-domain HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+       x11-libs/libX11
+"
+DEPEND="
+       ${RDEPEND}
+       x11-base/xorg-proto
+"
+S=${WORKDIR}/${P/_p*/}.orig
+PATCHES=( "${WORKDIR}"/debian/patches )
+
+src_prepare() {
+       default
+       sed -i \
+               -e 's|gcc|${CC}|g' \
+               Makefile || die
+       tc-export CC
+}
+
+src_install() {
+       dobin xwit
+       newman xwit.man xwit.1
+       einstalldocs
+}

Reply via email to